Package docking.widgets.fieldpanel.internal

# Class FullySelectedFieldBackgroundColorManager

java.lang.Object
docking.widgets.fieldpanel.internal.FullySelectedFieldBackgroundColorManager

All Implemented Interfaces:
  `FieldBackgroundColorManager`

public class FullySelectedFieldBackgroundColorManager extends Object implements FieldBackgroundColorManager

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FullySelectedFieldBackgroundColorManager(Color selectionColor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Color`
  `getBackgroundColor()`
  Returns the overall background color for the entire field.
  `Color`
  `getPaddingColor(int padIndex)`
  Returns the color for the right or left padding within the field.
  `List<Highlight>`
  `getSelectionHighlights(int row)`
  Return a list of highlights (background colors ranges) for a given row of text in the field.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FullySelectedFieldBackgroundColorManager

    public FullySelectedFieldBackgroundColorManager(Color selectionColor)

- ## Method Details

  - ### getBackgroundColor

    public Color getBackgroundColor()
    Description copied from interface: `FieldBackgroundColorManager`
    Returns the overall background color for the entire field. If the field is totally, selected, then this color will be the selection color. If the field is highlighted,then the color will be the highlight color. If both, then the color will be the combined color. If the color is the same the overall background color of the layout containing this field, then null will be returned to indicate that the background color for this field does not need to be painted
    Specified by:
      `getBackgroundColor` in interface `FieldBackgroundColorManager`
    Returns:
      the background color for this field or null if it is the same as the background for the entire layout.

  - ### getSelectionHighlights

    public List<Highlight> getSelectionHighlights(int row)
    Description copied from interface: `FieldBackgroundColorManager`
    Return a list of highlights (background colors ranges) for a given row of text in the field.
    Specified by:
      `getSelectionHighlights` in interface `FieldBackgroundColorManager`
    Parameters:
      `row` - the row for which to get a list of highlights.
    Returns:
      a list of highlights for the row.

  - ### getPaddingColor

    public Color getPaddingColor(int padIndex)
    Description copied from interface: `FieldBackgroundColorManager`
    Returns the color for the right or left padding within the field. The padding is difference of the width of the field and the width of the text being displayed. Most fields pad to the right, but a few pad to the left.
    Specified by:
      `getPaddingColor` in interface `FieldBackgroundColorManager`
    Parameters:
      `padIndex` - either 0 or 1 to get left padding or right padding respectively.
    Returns:
      the color for either the right or left padding.